﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
</head>
<body>
    <form id="mainForm" runat="server">
    <asp:ScriptManager runat="server" ID="ScriptManager1">
    </asp:ScriptManager>
    <script type="text/javascript">
        var groupsCombo;
        function InitializeGroupsCombo(sender)
        {
            groupsCombo = sender;
        }

        function PopulateGroups(combo, eventArgs)
        {

            var item = eventArgs.get_item();
            groupsCombo.set_text("Loading...");

            if (item.get_index() > 0)
            {
                groupsCombo.requestItems(item.get_value(), false);
            }
            else
            {
                groupsCombo.set_text(" ");
                groupsCombo.clearItems();
            }
        }

        function GroupsPopulated(combo, eventArgs)
        {

            if (combo.get_items().get_count() > 0)
            {
                combo.set_text(combo.get_items().getItem(0).get_text());
                combo.get_items().getItem(0).highlight();
                combo.get_items().getItem(0).select();
            }
            combo.showDropDown();
        }
  


    
    </script>
    <telerik:RadGrid ID="RadGrid1" runat="server" OnNeedDataSource="RadGrid1_NeedDataSource"
        OnInsertCommand="RadGrid1_InsertCommand">
        <MasterTableView CommandItemDisplay="Top">
            <EditFormSettings EditFormType="Template">
                <FormTemplate>
                    <asp:Label ID="Unit_Label" runat="server" AssociatedControlID="Unit_ComboBox" Text="Unit" />
                    <telerik:RadComboBox ID="Unit_ComboBox" runat="server" OnClientSelectedIndexChanging="PopulateGroups" EnableLoadOnDemand="true"
                        OnItemsRequested="Unit_ComboBox_ItemsRequested" OnItemDataBound="Unit_ComboBox_ItemDataBound"
                        Width="204px" TabIndex="5" />
                    <asp:Label ID="Group_Label" runat="server" AssociatedControlID="Group_ComboBox" Text="Group" />
                    <telerik:RadComboBox ID="Group_ComboBox" runat="server" OnClientItemsRequested="GroupsPopulated" EnableLoadOnDemand="true"
                        OnItemsRequested="Group_ComboBox_ItemsRequested" OnItemDataBound="Group_ComboBox_ItemDataBound"
                        OnClientLoad="InitializeGroupsCombo" Width="204px" TabIndex="6" />
                    <asp:Button ID="Update_Button" runat="server" Text='<%# (Container is GridEditFormInsertItem) ? "Insert" : "Update" %>'
                        CommandName='<%# (Container is GridEditFormInsertItem) ? "PerformInsert" : "Update" %>'
                        TabIndex="8" />
                    <asp:Button ID="Cancel_Button" runat="server" Text="Cancel" CausesValidation="False"
                        CommandName="Cancel" TabIndex="9" />
                </FormTemplate>
            </EditFormSettings>
        </MasterTableView>
    </telerik:RadGrid>
    <asp:Label Text="" ID="Label1" EnableViewState="false" runat="server" />
    <br />
    </form>
</body>
</html>
