﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.CodeDom;

using System.Web.Services;
using Telerik.Web.UI;
using System.Data;

partial class _Default : System.Web.UI.Page
{

    protected void RadGrid1_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
    {
        RadGrid1.DataSource = GetSource;
    }
    public DataTable GetSource
    {
        get
        {
            DataTable table = Session["DataSource"] as DataTable;
            if (table == null)
            {
                table = new DataTable();
                table.Columns.Add("ID", typeof(int));
                table.Columns.Add("Col1");
                for (int i = 0; i < 10; i++)
                {
                    table.Rows.Add(i, "Col1 Row" + i);
                }
                Session["DataSource"] = table;
            }
            return table;
        }
    }
    protected void RadGrid1_InsertCommand(object sender, Telerik.Web.UI.GridCommandEventArgs e)
    {

        RadComboBox unitField = (RadComboBox)e.Item.FindControl("Unit_ComboBox");
        RadComboBox groupField = (RadComboBox)e.Item.FindControl("Group_ComboBox");
        Label1.Text = "Unit combo value: " + unitField.SelectedValue + "<br/>Group combo value: " + groupField.SelectedValue;


    }

    protected void Unit_ComboBox_ItemDataBound(object sender, RadComboBoxItemEventArgs e)
    {

    }

    protected void Unit_ComboBox_ItemsRequested(object sender, RadComboBoxItemsRequestedEventArgs e)
    {

        (sender as RadComboBox).Items.Add(new RadComboBoxItem("Unit1", "Unit1"));
        (sender as RadComboBox).Items.Add(new RadComboBoxItem("Unit2", "Unit2"));
        (sender as RadComboBox).Items.Add(new RadComboBoxItem("Unit3", "Unit3"));
    }
    protected void Group_ComboBox_ItemDataBound(object sender, RadComboBoxItemEventArgs e)
    {

    }

    protected void Group_ComboBox_ItemsRequested(object sender, RadComboBoxItemsRequestedEventArgs e)
    {
        (sender as RadComboBox).Items.Add(new RadComboBoxItem("Group1", "Group1"));
        (sender as RadComboBox).Items.Add(new RadComboBoxItem("Group2", "Group2"));
        (sender as RadComboBox).Items.Add(new RadComboBoxItem("Group3", "Group3"));
    }

}








